<!-- 发货  deliver-->
<template>
  <div>
    <el-dialog :append-to-body="true" :close-on-click-modal="false" title="发货" :visible.sync="Show" width="800px">
      <div>
        <el-form :model="formData" :rules="m_rules" ref="ruleForm">
          <el-form-item label="收货人" label-width="80px">
            <div>联系人：{{info.receiver}} / {{info.receiver_mobile}}</div>
            <div>地址：{{info.address_text}}{{info.address}}</div>
          </el-form-item>

          <el-form-item label="快递" label-width="80px" prop="express_id">
            <el-select filterable v-model="formData.express_id" placeholder="请选择快递">
              <el-option v-for="(item,key) in list" :key="key" :label="item" :value="key"></el-option>
            </el-select>
          </el-form-item>

          <el-form-item label="快递单号" label-width="80px" prop="express_sn">
            <el-input clearable v-model="formData.express_sn" auto-complete="off"></el-input>
          </el-form-item>

          <el-form-item label="特殊编码" label-width="80px">
            <el-input clearable v-model="formData.custom_code" auto-complete="off"></el-input>
          </el-form-item>

          <el-form-item label="发货类型:" label-width="100px">
            <el-radio-group v-model="formData.package_type">
              <el-radio label="0">按订单发货</el-radio>
              <el-radio :disabled="info.order_goods.length<=1" label="1">商品部分发货</el-radio>
            </el-radio-group>
          </el-form-item>

          <el-form-item v-if="formData.package_type==1" label="商品" label-width="80px" prop="order_goods_id">
            <el-select class="w100p" multiple filterable v-model="formData.order_goods_id" placeholder="请选择快递">
              <el-option v-for="(item,index) in order_goods" :key="index" :label="item.title" :value="item.id">
                <div class="flex flex-m">
                  <img class="op-img mr5" :src="item.images" alt="">
                  {{item.title}}
                </div>

              </el-option>
            </el-select>
          </el-form-item>

        </el-form>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" :m_loading="m_loading" @click="submit">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { regionData } from 'element-china-area-data'
import * as utils from '@/utils/index'
export default {
  name: 'addFormDialog',
  props: {
    value: {
      required: true,
      type: Boolean,
    },
    info: {
      type: Object,
      required: true
    },
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      m_tableLoading: false,
      formData: {
        id: '',
        package_type: '0',//发货方式 0:整单发 1:分包发
        express_id: '',//物流编码
        express_sn: '',//运单号
        custom_code: '',//商家特殊编码(部分京东,部分顺丰才需要)
        order_goods_id: [],// 分包发货的产品id
      },

      m_rules: {
        express_sn: { required: true, message: '请输入', trigger: 'blur' },
        express_id: { required: true, message: '请输入', trigger: 'blur' },

      },
      list: {},
      order_goods: [],

    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {
      this.formData.id = this.info.id
      this.getList()
      this.order_goods = this.info.order_goods.filter(i => i.package_id == 0)
    },

    getList() {
      this.m_api.express_list().then(res => {
        console.log(res)
        this.list = res.data
      })
    },


    submit() {
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {

          this.handelEdit()

        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },

    handelEdit() {
      this.m_loading = true
      this.m_api.order_deliver(this.formData).then(res => {
        // 修改成功
        this.m_success('操作成功')
        this.$emit('save-after')
        this.Show = false
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    }

  },
  watch: {

  },
  filters: {

  }
}

</script>
<style lang='scss' scoped>
.op-img {
  width: 30px;
  height: 30px;
}
</style>